%global pypi_name	yapf

Name:		python-%{pypi_name}
Version:	0.40.2
Release:	%mkrel 3
Summary:	A formatter for Python code
Group:		Development/Python
License:	ASL 2.0
URL:		https://github.com/google/yapf
Source0:	%{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)
# For tests
BuildRequires:	python3dist(pytest)
BuildRequires:	python3dist(importlib-metadata)
BuildRequires:	python3dist(platformdirs)

%description
YAPF Introduction Most of the current formatters for Python e.g., autopep8, and
pep8ify are made to remove lint errors from code. This has some obvious
limitations. For instance, code that conforms to the PEP 8 guidelines may not
be.

%package -n	python3-%{pypi_name}
Summary:	A formatter for Python3 code
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
YAPF Introduction Most of the current formatters for Python e.g., autopep8, and
pep8ify are made to remove lint errors from code. This has some obvious
limitations. For instance, code that conforms to the PEP 8 guidelines may not
be.

%prep
%autosetup -n %{pypi_name}-%{version}

for lib in $(find . -type f -name "*.py"); do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

cp plugins/README.md README-plugins.md

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name} yapftests yapf_third_party

%check
#pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README-plugins.md README.md
%{_bindir}/yapf
%{_bindir}/yapf-diff


%changelog
* Sun Mar 02 2025 wally <wally> 0.40.2-3.mga10
+ Revision: 2158899
- rebuild for python3.13

* Tue Jan 16 2024 daviddavid <daviddavid> 0.40.2-2.mga10
+ Revision: 2031508
- disable testsuite for now
- rebuild for py3.12

* Mon Oct 02 2023 daviddavid <daviddavid> 0.40.2-1.mga10
+ Revision: 1993105
- new version: 0.40.2

* Mon Sep 04 2023 papoteur <papoteur> 0.40.1-1.mga10
+ Revision: 1983956
- new 0.40.1
+ daviddavid <daviddavid>
- new version: 0.40.1
- switch to pyproject

* Tue Aug 23 2022 papoteur <papoteur> 0.32.0-1.mga9
+ Revision: 1879718
- new 0.32.0

* Wed Mar 23 2022 umeabot <umeabot> 0.31.0-3.mga9
+ Revision: 1823028
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.31.0-2.mga9
+ Revision: 1778571
- Rebuild for python-3.10

* Wed Mar 17 2021 daviddavid <daviddavid> 0.31.0-1.mga9
+ Revision: 1704030
- new version: 0.31.0
- rebuild for python 3.9

* Thu Jan 07 2021 daviddavid <daviddavid> 0.30.0-1.mga8
+ Revision: 1669422
- initial package python-yapf

